PTHREAD_MULTI_NP(3)

NAME
pthread_multi_np, pthread_single_np - switch between multi- and single-threaded scheduling modes

LIBRARY
libpthread

SYNOPSIS
#include <pthread_np.h>
int
pthread_multi_np(void);
int
pthread_single_np(void);

DESCRIPTION
The pthread_single_np() function switches the process to a single-threaded mode, i.e., suspends all threads except the current. The semantics of this function is similar to pthread_suspend_all_np(3).

The pthread_multi_np() function switches the process to a multi-threaded mode. The semantics of this function is similar to pthread_resume_all_np(3).

RETURN VALUES
The pthread_multi_np() and pthread_single_np functions always return 0.

SEE ALSO
pthread_resume_all_np(3), pthread_suspend_all_np(3)

AUTHORS
This manual page was written by Alexey Zelkin <phantom@FreeBSD.org>.